Subject: Re: LED backlight on Droid 4 and others

From: Lee Jones <[email-masked]>
Date: Mon, 6 Jan 2020 08:45:49 +0000

On Sun, 05 Jan 2020, Pavel Machek wrote:

> Hi!
> 
> It would be good to get LED backlight to work in clean way for 5.6
> kernel.
> 
> As far as I can see, these are neccessary (but not enough; it does not
> work for me): lm3532 changes to register LED with of node, plus device
> tree changes for droid 4, and these generic changes:
> 
> commit d457d0c97d6d55fe3e62633791ac05d289a37d2e
> Author: Tomi Valkeinen <[email-masked]>
> Date:   Thu Oct 3 10:28:12 2019 +0200
> 
>     backlight: add led-backlight driver
>     
>     This patch adds a led-backlight driver (led_bl), which is similar to
>     pwm_bl except the driver uses a LED class driver to adjust the
>     brightness in the HW. Multiple LEDs can be used for a single backlight.
>     
>     Signed-off-by: Tomi Valkeinen <[email-masked]>
>     Signed-off-by: Jean-Jacques Hiblot <[email-masked]>
>     Acked-by: Pavel Machek <[email-masked]>
>     Reviewed-by: Daniel Thompson <[email-masked]>
> 
> commit 44b7adbf0b07904e4198ae1d0a763917d1c68a23
> Author: Jean-Jacques Hiblot <[email-masked]>
> Date:   Thu Oct 3 10:28:10 2019 +0200
> 
>     leds: Add managed API to get a LED from a device driver
>     
>     If the LED is acquired by a consumer device with devm_led_get(), it is
>     automatically released when the device is detached.
>     
>     Signed-off-by: Jean-Jacques Hiblot <[email-masked]>
>     Acked-by: Pavel Machek <[email-masked]>
>     Signed-off-by: Pavel <[email-masked]>
> 
> commit 93b98c570d7f898063ab6204e1b3950a3335dd12
> Author: Tomi Valkeinen <[email-masked]>
> Date:   Thu Oct 3 10:28:09 2019 +0200
> 
>     leds: Add of_led_get() and led_put()
>     
>     This patch adds basic support for a kernel driver to get a LED device.
>     This will be used by the led-backlight driver.
>     
>     Only OF version is implemented for now, and the behavior is similar to
>     PWM's of_pwm_get() and pwm_put().
>     
>     Signed-off-by: Tomi Valkeinen <[email-masked]>
>     Signed-off-by: Jean-Jacques Hiblot <[email-masked]>
>     Acked-by: Pavel Machek <[email-masked]>
>     Signed-off-by: Pavel <[email-masked]>
> 
> [If you have an idea what else is needed, it would be welcome; it
> works for me in development tree but not in tree I'd like to
> upstream.]
> 
> Lee, would you be willing to take "backlight: add led-backlight
> driver"? Would it help if I got "leds: Add managed API to get a LED
> from a device driver" and "leds: Add of_led_get() and led_put()" into
> for_next tree of the LED subsystem?

It looks like you have an open question from Tony on v10.

Is that patch orthogonal, or are there depend{ants,encies}?

> It is kind of important as, well, phone without screen looks pretty
> much dead, and same issue hits Droid 4 and Librem 5 phones at least...
> 
> Best regards,
> 									Pavel

-- 
Lee Jones [李琼斯]
Linaro Services Technical Lead
Linaro.org │ Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel